# Aleo

The Aleo Network allows unaffiliated nodes — individual computers, phones, and other devices — to work together to update a ledger. This ledger is used to maintain records: encrypted data owned by end-users, and mappings, public shared data owned by programs. That makes it very similar to other widely used and provably secure blockchain ledgers, like Ethereum, but with one important additional safety mechanism: Aleo is purpose-built so that developers can do all of this without needing to publish all of their users’ data.

**Aleo Testnet III** is an experimental network for developers to begin building and testing applications on Aleo. Testnet III is used by the core team for designing and evaluating new programs, planning and staging network upgrades, and running experimental features for inclusion on mainnet.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.data123.io/reference/api-reference/aleo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
